Bug 505867 - Review Request: qelectrotech - Design electric diagrams
Review Request: qelectrotech - Design electric diagrams
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 08:39 EDT by Remi Collet
Modified: 2010-09-01 15:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.20-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 03:22:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2009-06-14 08:39:58 EDT
Spec URL: http://remi.fedorapeople.org/qelectrotech.spec
SRPM URL: http://remi.fedorapeople.org/qelectrotech-0.20-0.1.rc1.fc8.src.rpm
Description: 
QElectroTech is a Qt4 application to design electric diagrams. It uses XML  
files for elements and diagrams, and includes both a diagram editor and an 
element editor.

Koji scratch build :
http://koji.fedoraproject.org/koji/taskinfo?taskID=1411161

rpmlitn is silent.
Perhaps a FEL candidate.
Comment 1 Chitlesh GOORAH 2009-06-14 12:18:06 EDT
#1: typo in comments
# Prog is GPLv2 - #####Elements###### are Creative Commons Attribution


The package in general is ok, however I feel it is too software oriented and lacks its professional touch in terms of the wordings.

#2: Inorder to maintain consistency between other FEL packages, the sub-packge -elements should be called "-symbols", (e.g geda-symbols, soon kicad-symbols).


#3: use of Electronic menu structure
Add

Requires: electronics-menu

and in desktop-file-install
--add-category "Electronics"      \

remove the office category

#4: Since we want FEL to be as professional as possible, i would like you to rephrase the %description so that it doesn't feel too geeky

QElectroTech helps to design electric schematics. It includes both a schematic editor and an symbol editor.

diagram was replaced by schematic
element was replaced by symbol

Maybe you can ask upstream to take this wordings into account as well. The more it uses similar words, the easier it will be for fedora ambassadors for market qelectrotech around the world

Same for the summary, replace "diagrams" by schematics. 

#5:
Group:      Applications/Engineering

#6: missing for subpackage -elements
Requires:         qelectrotech = %{version}-%{release}

#7: is there any reason for
%if 0%{?fedora} >= 11
BuildArch:   noarch
%endif

if it is only for symbols in the XML format then it should be by default noarch ?


#8 update the spec file, I'll approve it
Comment 2 Remi Collet 2009-06-14 13:09:44 EDT
Thanks for the comment/review.

I've asked upstream for some feedback.
Comment 3 Xavier Guerrin 2009-06-17 14:30:57 EDT
Hello,

At least for the moment, the QElectroTech project team prefers to keep the words "diagram" and "element" (especially this last one) in the application. You are however free to use the wording of your choice for the RPM package.

Cheers,

Xavier
QElectroTech project developer
Comment 4 Remi Collet 2009-06-18 11:43:20 EDT
#1 done
#2 done
#3 done
#5 done
#6 done (create a circular dependency, but as this is from a single .spec, that seems ok)
#7 because only RPM 4.7 (available in F >= 11) handle noarch subpackage.


#4 as upstream prefers to keep the words "diagram" and "element", I keep summnary and description (taken from desktop and README).

This solution allow me to provides more language than I could if I a rephrase (I'm only English/French speaking) and this could be improved by upstream later.

#8 :
Spec URL: http://remi.fedorapeople.org/qelectrotech.spec
SRPM URL: http://remi.fedorapeople.org/qelectrotech-0.20-0.2.rc1.fc8.src.rpm

* Thu Jun 18 2009 Remi Collet <Fedora@FamilleCollet.com> - 0.20-0.2.rc1
- add multi-lang sumnary (taken from .desktop)
- add multi-lang description (taken from README)
- rename qlectrotech-elements to -symbols
- use electronics-menu
Comment 5 Chitlesh GOORAH 2009-06-18 16:24:11 EDT
#MUST

There are two typos

* acknowledgment => acknowledgEment
* sumnary => sumMary

#Tip

The changelog will be published on my websites. Some of them don't have spam protection. eg. Fedora [AT] FamilleCollet DOT com

##################

- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros
section of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If
it is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the %install section.
- MUST: Package does not own files or directories already owned by other
packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as LICENSE
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED
Comment 6 Remi Collet 2009-06-19 00:58:42 EDT
Thanks for the review 

New Package CVS Request
=======================
Package Name: qelectrotech
Short Description: An electric diagrams editor
Owners: remi
Branches: F-10 F-11
InitialCC:
Comment 7 Jason Tibbitts 2009-06-20 11:01:21 EDT
CVS done.
Comment 8 Fedora Update System 2009-06-20 17:24:07 EDT
qelectrotech-0.20-0.2.rc2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qelectrotech-0.20-0.2.rc2.fc11
Comment 9 Fedora Update System 2009-06-20 17:24:39 EDT
qelectrotech-0.20-0.2.rc2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qelectrotech-0.20-0.2.rc2.fc10
Comment 10 Fedora Update System 2009-06-24 15:36:21 EDT
qelectrotech-0.20-0.2.rc2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qelectrotech'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6814
Comment 11 Fedora Update System 2009-06-24 15:42:09 EDT
qelectrotech-0.20-0.2.rc2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qelectrotech'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6907
Comment 12 Fedora Update System 2009-06-27 14:54:30 EDT
qelectrotech-0.20-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qelectrotech-0.20-1.fc11
Comment 13 Fedora Update System 2009-06-27 14:56:12 EDT
qelectrotech-0.20-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qelectrotech-0.20-1.fc10
Comment 14 Fedora Update System 2009-06-30 17:25:57 EDT
qelectrotech-0.20-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qelectrotech'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7079
Comment 15 Fedora Update System 2009-06-30 17:34:04 EDT
qelectrotech-0.20-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qelectrotech'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7132
Comment 16 Fedora Update System 2009-07-16 03:22:39 EDT
qelectrotech-0.20-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-07-16 03:31:48 EDT
qelectrotech-0.20-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Remi Collet 2010-08-31 14:02:35 EDT
Package Change Request
======================
Package Name: qelectrotech
New Branches: EL-6
Owners: remi
Comment 19 Kevin Fenzi 2010-09-01 15:25:19 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.